﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Untitled Page</title>
    <style type="text/css">
    * {
        font-family: tahoma;
    }
    .progressBarContainer {
        border: 1px solid #000;
        width: 500px;
        height: 15px;
    }
    .progressBar {
        background-color: green;
        height: 15px;
        width: 0px;
        font-weight: bold;
    }
    </style>
    <script type="text/javascript" language="javascript">
    function startTask()
    {
        // new ProgressBar
        var pb = new Sys.UI.ProgressBar($('pb'));
        pb.set_interval(500);
        pb.set_serviceURL('TaskService.asmx');
        pb.set_serviceMethod('GetProgress');
        pb.initialize();
        
        // start the task
        TaskService.StartTimeConsumingTask(onTaskCompleted);
        
        // start the ProgressBar
        pb.start();
    }
    function onTaskCompleted(result)
    {
        // alert the time cost
        if (result != -1)
            $('output').innerHTML = 'Task completed in ' + result + ' seconds.';
    }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager ID="ScriptManager1" runat="server" >
            <Scripts>
                <atlas:ScriptReference Path="ScriptLibrary/ProgressBar.js" ScriptName="Custom" />
            </Scripts>
            <Services>
                <atlas:ServiceReference Path="TaskService.asmx" />
            </Services>
        </atlas:ScriptManager>
        <div>
            <div>Task Progress</div>
            <div class="progressBarContainer">
                <div id="pb" class="progressBar"></div>
            </div>
            <input type="button" id="start" onclick="startTask();return false;" value="Start the Time Consuming Task!" />
            <div id="output" ></div>
        </div>
    </form>
    
</body>
</html>